import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';

import { AppRoutingModule } from './app-routing.module';
import { AppComponent } from './app.component';
import { MoviesDetailsComponent } from './modules/movies-details/movies-details.component';

import { SharedModule } from './shared/shared.module';
import { CoreModule } from './core/core.module'
import { StoreModule } from '@ngrx/store';


@NgModule({
  declarations: [
    AppComponent,
    MoviesDetailsComponent
  ],
  imports: [
    BrowserModule,
    AppRoutingModule,
    CoreModule,
    SharedModule,
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule { }
