import { Component, OnInit } from '@angular/core';

import * as fromApp from '../../../../store/app.reducer'
import { Store } from '@ngrx/store';
import { Observable } from 'rxjs';
import { Posts } from 'src/app/shared/models/posts.model';

@Component({
  selector: 'app-post-list-item-detail',
  templateUrl: './post-list-item-detail.component.html',
  styleUrls: ['./post-list-item-detail.component.scss']
})
export class PostListItemDetailComponent implements OnInit {
  selectedPost: Observable<{
    selectedIndex: number,
    selectedPost: Posts
  }>
  constructor(
    private store: Store<fromApp.AppState>
  ) { }

  ngOnInit(): void {
    this.selectedPost = this.store.select('post')
  }

}
