import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { PostsRoutingModule } from './posts-routing.module';
import { PostListComponent } from './components/post-list/post-list.component';
import { PostListItemComponent } from './components/post-list-item/post-list-item.component';
import { PostListItemDetailComponent } from './components/post-list-item-detail/post-list-item-detail.component'


@NgModule({
  declarations: [PostListComponent, PostListItemComponent, PostListItemDetailComponent],
  imports: [
    CommonModule,
    PostsRoutingModule
  ]
})
export class PostsModule { }
