import { Injectable } from '@angular/core';
import { Resolve, ActivatedRoute, ActivatedRouteSnapshot, RouterStateSnapshot } from '@angular/router';

import { PostsService } from './posts.service';

@Injectable({
  providedIn: 'root'
})
export class PostResolverService implements Resolve<any>{

  constructor(private postsService: PostsService) { }

  resolve(route: ActivatedRouteSnapshot,  state: RouterStateSnapshot){
    this.postsService.getAllPosts().subscribe();
  }
}
