import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { HttpClientModule } from '@angular/common/http';
import { EffectsModule } from '@ngrx/effects'
import { StoreModule } from '@ngrx/store';
//import * as postReducer from '../modules/posts/store/posts.reducer';
import * as fromApp from '../store/app.reducer';
import { PostEffects } from '../modules/posts/store/posts.effects';

@NgModule({
  declarations: [],
  imports: [
    CommonModule,
    HttpClientModule,
    StoreModule.forRoot(fromApp.appReducer),
    EffectsModule.forRoot([PostEffects])
  ]
})
export class CoreModule { }
