import { NgModule } from "@angular/core";

import { Routes, RouterModule } from '@angular/router';
import { PostListComponent } from './components/post-list/post-list.component';
import { PostListItemDetailComponent } from './components/post-list-item-detail/post-list-item-detail.component';

import { PostResolverService } from './services/post-resolver.service'
const routes: Routes = [
  {
    path: '',
    component: PostListComponent,
    resolve: [PostResolverService]
  },
  {
    path: ':/id',
    component: PostListItemDetailComponent
  }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: []
})

export class PostsRoutingModule{}
